Skip to main content
POST
/
v1
/
images
/
generations
/
async
Generate image
curl --request POST \
  --url https://api.siray.ai/v1/images/generations/async \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "height": 1,
  "model": "openai/gpt-image-2-t2i",
  "moderation": "auto",
  "n": 1,
  "output_format": "jpg",
  "prompt": "example_value",
  "quality": "low",
  "size": "1024x1024",
  "width": 1
}
'
import requests

url = "https://api.siray.ai/v1/images/generations/async"

payload = {
"height": 1,
"model": "openai/gpt-image-2-t2i",
"moderation": "auto",
"n": 1,
"output_format": "jpg",
"prompt": "example_value",
"quality": "low",
"size": "1024x1024",
"width": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
height: 1,
model: 'openai/gpt-image-2-t2i',
moderation: 'auto',
n: 1,
output_format: 'jpg',
prompt: 'example_value',
quality: 'low',
size: '1024x1024',
width: 1
})
};

fetch('https://api.siray.ai/v1/images/generations/async', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": "success",
  "data": {
    "task_id": "<string>"
  },
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication using API key

Body

application/json

Request payload

Request format for image generation models

model
enum<string>
required

Model name to use for the request

Available options:
openai/gpt-image-2-t2i
prompt
string
required

Text prompt for generation

size
enum<string>
required

Output size. Choose a preset, or set to "custom" to specify an arbitrary size; the width and height fields only take effect when size is "custom".

Available options:
1024x1024,
512x512,
768x1024,
576x1024,
1024x768,
1024x576,
auto,
custom
height
integer

Height of the output. Only takes effect when size is "custom".

moderation
enum<string>

Content moderation strategy

Available options:
auto,
low
n
integer
default:1

Number of outputs to generate

Required range: 1 <= x <= 10
output_format
enum<string>

Output format for the 3D model

Available options:
jpg,
png
quality
enum<string>

Quality option

Available options:
low,
medium,
high
width
integer

Width of the output. Only takes effect when size is "custom".

Response

200 - application/json

Successful response

Standard async task creation response

code
string
required

Status code returned by the service

Example:

"success"

data
object
required

Response payload containing task details

message
string
required

Additional information about the request result